declare namespace Test {
	interface QuestionInfo {
		isCollection: boolean;
		optsBack: any;
		userAnswer(userAnswer: any): unknown;
		isTrue?: null|Boolean;
		answer: string;
		answerkeyword: string;
		answermp3: string;
		classIssue: string;
		classIssueName: string;
		copyIssue: string;
		excellIssue: string;
		excellIssueName: string;
		explainGif: string;
		explainJq: string;
		explainJs: string;
		explainMp3: string;
		explainjsmp3: string;
		id: number;
		image: string;
		imageYdt: string;
		issue: string;
		issuemp3: string;
		liceBus: string;
		liceCar: string;
		liceMoto: string;
		liceTruck: string;
		mockIssue: string;
		number: number;
		opts: string|[string];
		placeIssue: string;
		placeIssueName: string;
		questionType: number;
		sequeIssue: string;
		sequeIssueName: string;
		skillkeyword: string;
		subject1: string;
		subject2: string;
		subject3: string;
		subject4: string;
		titlekeyword: string;
	}

	type listParams = Partial<QuestionInfo> & Common.Paging;

	type listRes = QuestionInfoByIdsRes;

	interface QuestionInfoByIdsParams extends Common.Paging {
		ids: number[];
	}

	interface QuestionInfoByIdsRes extends Common.Res {
		rows: QuestionInfo[];
		total: number;
	}

	interface getTopicClassParams {
		

		liceBus: string;
		liceCar: string;
		liceMoto: string;
		liceTruck: string;
		subject1: string;
		subject2: string;
		subject3: string;
		subject4: string;
	}

	interface selectDfQustionInfoRes {
		placeIssue: string;
		placeIssueName: string;
	}

	interface selectFlQustionInfoRes {
		classIssue: string;
		classIssueName: string;
	}

	interface selectJxQustionInfoRes {
		excellIssue: string;
		excellIssueName: string;
	}

	interface selectSxQustionInfoRes {
		sequeIssue: string;
		sequeIssueName: string;
	}
}
